Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Atk::TextRange Class Reference

A AtkTextRange C++ wrapper class. More...

`#include <xfc/atk/text.hh>`

List of all members.

## Public Member Functions

Constructors

- TextRange (const AtkTextRange &range)
    Construct a new TextRange from an exisitng AtkTextRange object.
- ~TextRange ()
    Destructor.

Accessors

- AtkTextRange * atk_text_rectangle () const
    Get a pointer to the AtkTextRange structure.
- TextRectangle bounds () const
    Gets the bounding rectangle for the text range.
- int start_offset () const
    Gets the start offset of the text range.
- int end_offset () const
    Gets the end offset of the text range.
- const char * content () const
    Gets the text in the text range.

## Detailed Description

A AtkTextRange C++ wrapper class.

TextRange is an object used to describe a text range.

## Member Function Documentation

TextRectangle Xfc::Atk::TextRange::bounds | ( |  | ) | const

Gets the bounding rectangle for the text range.

Returns:
  A TextRectangle giving the bounds of the text range.

const char* Xfc::Atk::TextRange::content | ( |  | ) | const

| Gets the text in the text range. A text string.

int Xfc::Atk::TextRange::end_offset | ( |  | ) | const

Gets the end offset of the text range.

Returns:
  The end offset.

int Xfc::Atk::TextRange::start_offset | ( |  | ) | const

Gets the start offset of the text range.

Returns:
  The start offset.

The documentation for this class was generated from the following file:

- text.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3